package com.sooka.system.gas.zenner_meter_reading_infor.service.impl;

import com.sooka.common.core.text.Convert;
import com.sooka.common.utils.DateUtils;
import com.sooka.framework.util.ShiroUtils;
import com.sooka.system.gas.zenner_meter_reading_infor.domain.TGuijiZennerMeterReadingInfor;
import com.sooka.system.gas.zenner_meter_reading_infor.mapper.TGuijiZennerMeterReadingMapper;
import com.sooka.system.gas.zenner_meter_reading_infor.service.ITGuijiZennerMeterReadingInforService;
import com.sooka.system.service.impl.Guiji_Base_Service;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;

/**
 * 真兰收费系统-抄表信息Service业务层处理
 *
 * @author lei
 * @date 2022-08-22
 */
@Service
public class TGuijiZennerMeterReadingInforServiceImpl extends Guiji_Base_Service implements ITGuijiZennerMeterReadingInforService
{
    @Resource
    private TGuijiZennerMeterReadingMapper mapper;

    /**
     * 查询真兰收费系统-抄表信息
     *
     * @param id 真兰收费系统-抄表信息ID
     * @return 真兰收费系统-抄表信息
     */
    @Override
    public TGuijiZennerMeterReadingInfor selectById(String id)
    {
        return mapper.selectById(id);
    }

    /**
     * 查询真兰收费系统-抄表信息列表
     *
     * @param param 真兰收费系统-抄表信息
     * @return 真兰收费系统-抄表信息
     */
    @Override
    public List<TGuijiZennerMeterReadingInfor> selectList(TGuijiZennerMeterReadingInfor param)
    {
        List<TGuijiZennerMeterReadingInfor> list = mapper.selectList(param);
        param.setOperationStatus(1L);
        param.setParam(param.toString());
        param.setInterfacetype("platform_interfacetype_1");//1 共享 2归集
        param.setInterfaceinfoId("f7355693-ac0b-4517-a4b1-89de29b86861");
        param.setInterfaceinfoName("共享（市）-共享（市）-真兰收费系统-抄表信息");
        Long deptId = ShiroUtils.getSysUser().getDept().getDeptId();
        String deptName = ShiroUtils.getSysUser().getDept().getDeptName();
        param.setDeptId(deptId);
        param.setDeptName(deptName);
        add_log(param);
        return list;
//        return mapper.selectList(param);
    }

    /**
     * 新增真兰收费系统-抄表信息
     *
     * @param param 真兰收费系统-抄表信息
     * @return 结果
     */
    @Override
    public int insert(TGuijiZennerMeterReadingInfor param)
    {
        param.setCreateTime(DateUtils.getNowDate());
        return mapper.insert(param);
    }

    /**
     * 修改真兰收费系统-抄表信息
     *
     * @param param 真兰收费系统-抄表信息
     * @return 结果
     */
    @Override
    public int update(TGuijiZennerMeterReadingInfor param)
    {
        return mapper.update(param);
    }

    /**
     * 删除真兰收费系统-抄表信息对象
     *
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    @Override
    public int deleteByIds(String ids)
    {
        return mapper.deleteByIds(Convert.toStrArray(ids));
    }

    /**
     * 删除真兰收费系统-抄表信息信息
     *
     * @param id 真兰收费系统-抄表信息ID
     * @return 结果
     */
    @Override
    public int deleteById(String id)
    {
        return mapper.deleteById(id);
    }
}
